Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518886 - RHEL-ALT-7.5 product certs should also provide tag "rhel-7"
Summary: RHEL-ALT-7.5 product certs should also provide tag "rhel-7"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5-Alt
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 17:26 UTC by John Sefler
Modified: 2018-03-16 00:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-29 22:25:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1510024 None None None Never
Red Hat Bugzilla 1526622 None None None Never

Internal Links: 1510024 1526622

Description John Sefler 2017-11-29 17:26:08 UTC
Description of problem:
To avoid the problem of Bug 1510024 and getting an empty list from "subscription-manager release --list", the GA product certs for RHEL-ALT-7.5 should also provide tag "rhel-7" as explained in https://bugzilla.redhat.com/show_bug.cgi?id=1510024#c7


The current GA product certs that have been created in http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-alt-7.5 will fail.


The three current product certs are summarized here:

root/product_ids/rhel-alt-7.5/Server-Server-aarch64-0020e1720a27-419-ext.txt
1.3.6.1.4.1.2312.9.1.419.4=ASN1:UTF8:rhel-alt-7,rhel-alt-7-armv8-a
                                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                                     SHOULD ALSO INCLUDE TAG "rhel-7"


root/product_ids/rhel-alt-7.5/Server-Server-s390x-fc8c193a3902-434-ext.txt
1.3.6.1.4.1.2312.9.1.434.4=ASN1:UTF8:rhel-alt-7,rhel-alt-7-system-z-a
                                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                                     SHOULD ALSO INCLUDE TAG "rhel-7"


root/product_ids/rhel-alt-7.5/Server-Server-ppc64le-2346218867e4-362-ext.txt
                                                                 ^^^
THIS PRODUCT CERT IS THE WRONG ENG ID.  IT SHOULD BE 420.  AND ONCE FIXED, THE TAGS SHOULD ALSO INCLUDE TAG "rhel-7"
1.3.6.1.4.1.2312.9.1.420.4=ASN1:UTF8:rhel-alt-7,rhel-alt-7-power9
                                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
                                     SHOULD ALSO INCLUDE TAG "rhel-7"

Comment 2 John Sefler 2017-11-29 17:35:33 UTC
Note... In my opinion the "rhel-7" tag should also be added to the beta product certs under http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/product_ids/rhel-alt-7.5-beta

However... I also understand the argument that there is no Extended Update Support for beta products and therefore there is no supported reason for a customer to be allowed to "pin" a beta product onto a specific RHEL minor release.

Comment 6 Kevin Howell 2018-01-29 22:25:18 UTC
Closing in favor of subscription-manager changes as described in bug 1510024


Note You need to log in before you can comment on or make changes to this bug.